App platform-integ-apps failed to apply

Bug #1856078 reported by Cristopher Lemus on 2019-12-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
Medium
Bob Church

Bug Description

Brief Description
-----------------
During provision, platform-integ-apps failed to apply. Armada log reports:

details = "the server could not find the requested resource (get configmaps)"

Severity
--------
Critical: Not possible to complete the setup.

Steps to Reproduce
------------------
Follow up documentation to install and configure starlingx duplex on baremetal.

Expected Behavior
------------------
platform-integ-apps should apply automatically

Actual Behavior
----------------
platform-integ-apps failed to apply

Reproducibility
---------------
Seen once - Will update if we face the issue on another try.

System Configuration
--------------------
Duplex Baremetal

Branch/Pull Time/Commit
-----------------------
MASTER - BUILD_ID="20191211T023000Z"

Last Pass
---------
Passed with build from one day before.

Timestamp/Logs
--------------
Full collect attached.
Additional details:
http://paste.openstack.org/show/787471/

Test Activity
-------------
Sanity

Cristopher Lemus (cjlemusc) wrote :
Ghada Khalil (gkhalil) wrote :

Christopher, Is this an issue on loads from the r/stx.3.0 branch or is it isolated to master?

Cristopher Lemus (cjlemusc) wrote :

Hi Ghada, This is isolated to master, for r/stx.3.0 , none of the configurations (either virtual or baremetal) had this issue, r/stx.3.0 sanity is still green.

Al Bailey (albailey1974) wrote :

I don't know if this is it or not, but there is a warning that indicates that it plans to treat requests as anonymous.

{"log":"I1211 11:48:13.020219 1 serving.go:319] Generated self-signed cert in-memory\n","stream":"stderr","time":"2019-12-11T11:48:13.020503599Z"}
{"log":"W1211 11:48:23.557229 1 authentication.go:199] Error looking up in-cluster authentication configuration: Get https://192.168.206.1:6443/api/v1/namespaces/kube-system/configmaps/extension-apiserver-authentication: net/http: TLS handshake timeout\n","stream":"stderr","time":"2019-12-11T11:48:23.55747706Z"}
{"log":"W1211 11:48:23.557253 1 authentication.go:200] Continuing without authentication configuration. This may treat all requests as anonymous.\n","stream":"stderr","time":"2019-12-11T11:48:23.557517181Z"}
{"log":"W1211 11:48:23.557258 1 authentication.go:201] To require authentication configuration lookup to succeed, set --authentication-tolerate-lookup-failure=false\n","stream":"stderr","time":"2019-12-11T11:48:23.557528497Z"}

Afterwards tiller logs show:
{"log":"[storage/driver] 2019/12/11 11:52:03 list: failed to list: the server could not find the requested resource (get configmaps)\n","stream":"stderr","time":"2019-12-11T11:52:03.395419187Z"}

Ghada Khalil (gkhalil) on 2019-12-12
tags: added: stx.containers
Ghada Khalil (gkhalil) wrote :

Hi Christopher, please let us know if this is seen on the newer load from master and/or r/stx.3.0. Thanks.

Cristopher Lemus (cjlemusc) wrote :

Hi Ghada, sorry, yesterday was a holiday on my location. However, I took a look at both sanities, from yesterday, 20191212T031052Z/ and also today 20191213T023000Z/ . The error did not reproduced on baremetal nor virtual environments.

Cristopher Lemus (cjlemusc) wrote :

Verified against master branch again, latest build: http://mirror.starlingx.cengn.ca/mirror/starlingx/master/centos/20191213T023000Z/

The issue did not reproduced.

Ghada Khalil (gkhalil) wrote :

Thanks Christopher. This appears to be an intermittent issue. We'll leave it open for now until further investigation.

Ghada Khalil (gkhalil) on 2019-12-14
Changed in starlingx:
assignee: nobody → Bob Church (rchurch)
Ghada Khalil (gkhalil) wrote :

stx.4.0 / medium priority - issue appears to be intermittent. Can raise the priority if it becomes more frequent

tags: added: stx.3.0
Changed in starlingx:
importance: Undecided → High
status: New → Triaged
tags: added: stx.4.0
removed: stx.3.0
Changed in starlingx:
importance: High → Medium

Fix proposed to branch: master
Review: https://review.opendev.org/699306

Changed in starlingx:
status: Triaged → In Progress
Cristopher Lemus (cjlemusc) wrote :

This behavior reproduced with master ISO BUILD_ID="20191220T023000Z". Attached is a full collect. I see that the review is still not closed. Could you please help me to confirm that is the same issue? Standard External storage is complaining about configmaps.

I got these details from the logs: http://paste.openstack.org/show/787826/

If this is a different issue, I'll proceed to create a new bug. Thanks in advance.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers